<?php
/**
 * The Customizer for displaying Custom colors
 *
 * @package tuperto
 */

function tuperto_customize_register( $wp_customize ) {
	
	// Accent color
    $wp_customize->add_setting( 'accent_color', array(
      'default'   => '#353c4e',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_hex_color',
	  'type'           => 'option',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'accent_color', array(
      'section' => 'colors',
      'label'   => esc_html__( 'Accent', 'theme' ),
    ) ) );
	
	// Paragraph color
	$wp_customize->add_setting( 'p_color', array(
      'default'   => '#8e8e8e',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_hex_color',
	  'type'           => 'option',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'p_color', array(
      'section' => 'colors',
      'label'   => esc_html__( 'Paragraph', 'theme' ),
    ) ) );
	// Heading colors
	
    $wp_customize->add_setting( 'head1_color', array(
      'default'   => '#000000',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_hex_color',
	  'type'           => 'option',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'head1_color', array(
      'section' => 'colors',
      'label'   => esc_html__( 'Title H1', 'theme' ),
    ) ) );
	
	$wp_customize->add_setting( 'head2_color', array(
      'default'   => '#000000',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_hex_color',
	  'type'           => 'option',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'head2_color', array(
      'section' => 'colors',
      'label'   => esc_html__( 'Title H2', 'theme' ),
    ) ) );
	
	$wp_customize->add_setting( 'head3_color', array(
      'default'   => '#000000',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_hex_color',
	  'type'           => 'option',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'head3_color', array(
      'section' => 'colors',
      'label'   => esc_html__( 'Title H3', 'theme' ),
    ) ) );
	
	$wp_customize->add_setting( 'head4_color', array(
      'default'   => '#353c4e',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_hex_color',
	  'type'           => 'option',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'head4_color', array(
      'section' => 'colors',
      'label'   => esc_html__( 'Title H4', 'theme' ),
    ) ) );
	
	$wp_customize->add_setting( 'head5_color', array(
      'default'   => '#353c4e',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_hex_color',
	  'type'           => 'option',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'head5_color', array(
      'section' => 'colors',
      'label'   => esc_html__( 'Title H5', 'theme' ),
    ) ) );
	
	$wp_customize->add_setting( 'head6_color', array(
      'default'   => '#353c4e',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_hex_color',
	  'type'           => 'option',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'head6_color', array(
      'section' => 'colors',
      'label'   => esc_html__( 'Title H6', 'theme' ),
    ) ) );
	
    

    // Link color
    $wp_customize->add_setting( 'link_color', array(
      'default'   => '#353c4e',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_hex_color',
	  'type'           => 'option',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_color', array(
      'section' => 'colors',
      'label'   => esc_html__( 'Link', 'theme' ),
    ) ) );

    

    // Border color
    $wp_customize->add_setting( 'link_hover', array(
      'default'   => '#000',
      'transport' => 'refresh',
      'sanitize_callback' => 'sanitize_hex_color',
	  'type'           => 'option',
    ) );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_hover', array(
      'section' => 'colors',
      'label'   => esc_html__( 'Link Hover', 'theme' ),
    ) ) );

    

}
 function tuperto_customize_css()
        {
            $accent = get_option('accent_color');
			$p= get_option('p_color');
			$h1 = get_option('head1_color');
			$h2 = get_option('head2_color');
			$h3 = get_option('head3_color');
			$h4 = get_option('head4_color');
			$h5 = get_option('head5_color');
			$h6 = get_option('head6_color');
			
            $link = get_option('link_color');
			$link_hover = get_option('link_hover');
			
            ?><style>
				.elementor-button-link, input[type="submit"]{background:<?php echo $accent; ?>;color:#fff;}
				.elementor-button-link:hover, input[type="submit"]:hover{background:#000;color:#fff;}
				
				
				p{color:<?php echo $p;?>;}
				h1{color:<?php echo $h1; ?>;}
				h2{color:<?php echo $h2; ?>;}
				h3{color:<?php echo $h3; ?>;}
				h4{color:<?php echo $h4; ?>;}
                h5{color:<?php echo $h5; ?>;}
				h6{color:<?php echo $h6; ?>;}
				
				a{color:<?php echo $link; ?>;}
				a:hover{color:<?php echo $link_hover; ?>;}
				
				
            </style><?php  
        }

  add_action( 'customize_register', 'tuperto_customize_register' );
  add_action('wp_head','tuperto_customize_css' );  
  
  ?>