<?php
/**
 * The template for displaying Header
 *
 * @package tuperto
 */

class tuperto_header_Customize{
        public static function register ( $wp_customize ) {
			/** Section header **/
            $wp_customize->add_section('header', array(
                    'title'      => __( 'Header', 'header' ),
                    'priority'   => 30,
                ));
				
			/** Background color for header **/
            $wp_customize->add_setting( 'header_bgcolor', array(
                    'default' => apply_filters( 'header_bgcolor', '#353c4e' ),
                    'sanitize_callback' => 'sanitize_hex_color',
                    'type'           => 'option',
                ));
			$wp_customize->add_setting('header_bgimg', array(
					'transport' => 'refresh',
					'height'	=> 40,
				));
			
				
			/** Text color for header **/
            $wp_customize->add_setting( 'header_txtcolor', array(
                    'default' => apply_filters( 'header_txtcolor', '#fffff' ),
                    'sanitize_callback' => 'sanitize_hex_color',
                    'type'           => 'option',
                ));			
			/** To top button color **/
			
			$wp_customize->add_setting( 'button_to_top', array(
                    'default' => true,
                    'type'           => 'option',
					'transport'		 => 'refresh',
                ));
				
			$wp_customize->add_setting( 'button_top_color', array(
                    'default' => apply_filters( 'button_top_color', '#353c4e' ),
                    'sanitize_callback' => 'sanitize_hex_color',
                    'type'           => 'option',
                ));
			
			
				
			/** Preloader image **/
			
			$wp_customize->add_setting( 'preload', array(
                    'default' => true,
                    'type'           => 'option',
					'transport'		 => 'refresh',
                ));
			$wp_customize->add_setting('preloader', array(
					'transport' => 'refresh',
					'height'    => 325,
				));

            /** Controls for header settings **/
            $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'header_bgcolor',
                    array(
                        'label'      => __( 'Background Color', 'header' ),
                        'section'    => 'header',
                        'settings'   => 'header_bgcolor',
                    ) ));
			$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'header_bgimg', array(
						'label' => __('Background Image', 'header'),
						'section'=> 'header',
						'settings'=> 'header_bgimg',    
					)));
            $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'header_txtcolor',
                    array(
                        'label'      => __( 'Text Color', 'header' ),
                        'section'    => 'header',
                        'settings'   => 'header_txtcolor',
                    ) ));
			$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'button_to_top',
                    array(
                        'label'      => __( 'Show To Top Button', 'header' ),
                        'section'    => 'header',
                        'settings'   => 'button_to_top',
						'type'		 => 'checkbox',
                    ) ));
			$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'button_top_color',
                    array(
                        'label'      => __( 'To Top Background', 'header' ),
                        'section'    => 'header',
                        'settings'   => 'button_top_color',
                    ) ));
			$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'preload',
                    array(
                        'label'      => __( 'Show Preloader', 'header' ),
                        'section'    => 'header',
                        'settings'   => 'preload',
						'type'		 => 'checkbox',
                    ) ));
			
			$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'customizer_setting_two_control', array(
						'label' => __('Preloader Image', 'header'),
						'section'=> 'header',
						'settings'=> 'preloader',    
					)));
					
            
        }
        public static function inject_css()
        {
            $background = get_option('header_bgcolor');
            $textcolor = get_option('header_txtcolor');
			$totop=get_option('button_top_color');
			$totopbutton=get_option('button_to_top');
			$preload=get_option('preload');
			if($totopbutton==false)
			{?>
				<style>#topbutton{visibility:hidden;}</style>
			<?php
			}
			if($preload==false)
			{?>
				<style>#load{display:none}</style>
			<?php
			}
			if(is_page(home))
			{?>
			<style>
			
						
				</style>	
			<?php
			}
			?>
			
			<style>
                nav{background-color:<?php echo $background;?>;background-image:url('<?php echo get_theme_mod('header_bgimg'); ?>');}
				.navbar a{ color:<?php echo $textcolor;?>; padding: 10px 0px 0px 0px;}
				#topbutton{
				background:<?php echo $totop;?>;}
				.spinner-loader .load-wrap {
				background-image: url('<?php echo get_theme_mod('preloader'); ?>');}
            </style><?php  
        }
        public static function header_html( $wp_customize ){       
            ?>
            <nav class="navbar navbar-expand-md navbar-dark"><div class="container navbar-inner">
			<div class="navbar-brand">
			<?php
			the_custom_logo();
			if ( is_front_page() && is_home() ) :
				?>
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<?php
			else :
				?>
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<?php
			endif;
			$tuperto_description = get_bloginfo( 'description', 'display' );
			if ( $tuperto_description || is_customize_preview() ) :
				?>
				<p class="site-description"><?php echo $tuperto_description; /* WPCS: xss ok. */ ?></p>
			<?php endif; ?></div>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
			<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse justify-content-end" id="collapsibleNavbar">
				<ul class="navbar-nav">
					
						<?php wp_nav_menu( array(
						'theme_location'=>'primary',
						
							));?>
					   
				</ul>
			</div>  </div>
		</nav>
						
  <?php }
    }
    add_action( 'customize_register' , array( 'tuperto_header_Customize' , 'register' ) );
    add_action('wp_head',array( 'tuperto_header_Customize' , 'inject_css' ));
    add_action('tuperto_after_header', array( 'tuperto_header_Customize' , 'header_html' ));
	
	?>